import processing.opengl.*;
import javax.media.opengl.*; 
import javax.media.opengl.glu.*;
import com.sun.opengl.util.texture.*; 

class TextureObj
{
  TextureData textureData = null;
  Texture texture = null;
  int w;
  int h;
  String name = "";

  public TextureObj(PApplet applet, String string)
  {
    File f = new File(applet.dataPath(string));
    generateTexture(f, false); 
  }

  public void generateTexture(File file, boolean useMipMaps)
  {
    try
    {
      this.texture = TextureIO.newTexture(file, useMipMaps);
    }
    catch (IOException ioe)
    {
      ioe.printStackTrace();
    }
  }

}




